Subject: Re: Run program in background.
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Tue, 05 Oct 2004 07:51:29 -0700

Reid Thompson wrote:

> > If you just want your program to simply run in the
> > background, launch it with a "&" at the end of the command
> > from the shell.  However, if it expects to use stdout, stdin,
> > or stderr, it will stop -- so these must all be redirected to files
> > or pipes.
> 
> not exactly correct the program does not stop, stdin is not accessible
> via the shell, but stdout and stderr are by default, still routed to it.

You're correct.  I guess what I mean to say was that it will stop if it
tries to read stdin, and for the sake of the user at the console stdout
and stderr will need to be redirected to prevent screen pollution.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/